#!/usr/bin/env python
# -*- coding: utf-8 -*-


emoji_table = {
    ':smile:': u'😄',
    ':smiley:': u'😃',
    ':grinning:': u'😀',
    ':blush:': u'😊',
    ':relaxed:': u'☺️',
    ':wink:': u'😉',
    ':heart_eyes:': u'😍',
    ':kissing_heart:': u'😘',
    ':kissing_closed_eyes:': u'😚',
    ':kissing:': u'😗',
    ':kissing_smiling_eyes:': u'😙',
    ':stuck_out_tongue_winking_eye:': u'😜',
    ':stuck_out_tongue_closed_eyes:': u'😝',
    ':stuck_out_tongue:': u'😛',
    ':flushed:': u'😳',
    ':grin:': u'😁',
    ':pensive:': u'😔',
    ':relieved:': u'😌',
    ':unamused:': u'😒',
    ':disappointed:': u'😞',
    ':persevere:': u'😣',
    ':cry:': u'😢',
    ':joy:': u'😂',
    ':sob:': u'😭',
    ':sleepy:': u'😪',
    ':disappointed_relieved:': u'😥',
    ':cold_sweat:': u'😰',
    ':sweat_smile:': u'😅',
    ':sweat:': u'😓',
    ':weary:': u'😩',
    ':tired_face:': u'😫',
    ':fearful:': u'😨',
    ':scream:': u'😱',
    ':angry:': u'😠',
    ':rage:': u'😡',
    ':triumph:': u'😤',
    ':confounded:': u'😖',
    ':laughing:': u'😆',
    ':satisfied:': u'😆',
    ':yum:': u'😋',
    ':mask:': u'😷',
    ':sunglasses:': u'😎',
    ':sleeping:': u'😴',
    ':dizzy_face:': u'😵',
    ':astonished:': u'😲',
    ':worried:': u'😟',
    ':frowning:': u'😦',
    ':anguished:': u'😧',
    ':smiling_imp:': u'😈',
    ':imp:': u'👿',
    ':open_mouth:': u'😮',
    ':grimacing:': u'😬',
    ':neutral_face:': u'😐',
    ':confused:': u'😕',
    ':hushed:': u'😯',
    ':no_mouth:': u'😶',
    ':innocent:': u'😇',
    ':smirk:': u'😏',
    ':expressionless:': u'😑',
    ':man_with_gua_pi_mao:': u'👲',
    ':man_with_turban:': u'👳',
    ':cop:': u'👮',
    ':construction_worker:': u'👷',
    ':guardsman:': u'💂',
    ':baby:': u'👶',
    ':boy:': u'👦',
    ':girl:': u'👧',
    ':man:': u'👨',
    ':woman:': u'👩',
    ':older_man:': u'👴',
    ':older_woman:': u'👵',
    ':person_with_blond_hair:': u'👱',
    ':angel:': u'👼',
    ':princess:': u'👸',
    ':smiley_cat:': u'😺',
    ':smile_cat:': u'😸',
    ':heart_eyes_cat:': u'😻',
    ':kissing_cat:': u'😽',
    ':smirk_cat:': u'😼',
    ':scream_cat:': u'🙀',
    ':crying_cat_face:': u'😿',
    ':joy_cat:': u'😹',
    ':pouting_cat:': u'😾',
    ':japanese_ogre:': u'👹',
    ':japanese_goblin:': u'👺',
    ':see_no_evil:': u'🙈',
    ':hear_no_evil:': u'🙉',
    ':speak_no_evil:': u'🙊',
    ':skull:': u'💀',
    ':alien:': u'👽',
    ':hankey:': u'💩',
    ':poop:': u'💩',
    ':shit:': u'💩',
    ':fire:': u'🔥',
    ':sparkles:': u'✨',
    ':star2:': u'🌟',
    ':dizzy:': u'💫',
    ':boom:': u'💥',
    ':collision:': u'💥',
    ':anger:': u'💢',
    ':sweat_drops:': u'💦',
    ':droplet:': u'💧',
    ':zzz:': u'💤',
    ':dash:': u'💨',
    ':ear:': u'👂',
    ':eyes:': u'👀',
    ':nose:': u'👃',
    ':tongue:': u'👅',
    ':lips:': u'👄',
    ':+1:': u'👍',
    ':thumbsup:': u'👍',
    ':-1:': u'👎',
    ':thumbsdown:': u'👎',
    ':ok_hand:': u'👌',
    ':facepunch:': u'👊',
    ':punch:': u'👊',
    ':fist:': u'✊',
    ':v:': u'✌️',
    ':wave:': u'👋',
    ':hand:': u'✋',
    ':raised_hand:': u'✋',
    ':open_hands:': u'👐',
    ':point_up_2:': u'👆',
    ':point_down:': u'👇',
    ':point_right:': u'👉',
    ':point_left:': u'👈',
    ':raised_hands:': u'🙌',
    ':pray:': u'🙏',
    ':point_up:': u'☝️',
    ':clap:': u'👏',
    ':muscle:': u'💪',
    ':walking:': u'🚶',
    ':runner:': u'🏃',
    ':running:': u'🏃',
    ':dancer:': u'💃',
    ':couple:': u'👫',
    ':family:': u'👪',
    ':two_men_holding_hands:': u'👬',
    ':two_women_holding_hands:': u'👭',
    ':couplekiss:': u'💏',
    ':couple_with_heart:': u'💑',
    ':dancers:': u'👯',
    ':ok_woman:': u'🙆',
    ':no_good:': u'🙅',
    ':information_desk_person:': u'💁',
    ':raising_hand:': u'🙋',
    ':massage:': u'💆',
    ':haircut:': u'💇',
    ':nail_care:': u'💅',
    ':bride_with_veil:': u'👰',
    ':person_with_pouting_face:': u'🙎',
    ':person_frowning:': u'🙍',
    ':bow:': u'🙇',
    ':tophat:': u'🎩',
    ':crown:': u'👑',
    ':womans_hat:': u'👒',
    ':athletic_shoe:': u'👟',
    ':mans_shoe:': u'👞',
    ':shoe:': u'👞',
    ':sandal:': u'👡',
    ':high_heel:': u'👠',
    ':boot:': u'👢',
    ':shirt:': u'👕',
    ':tshirt:': u'👕',
    ':necktie:': u'👔',
    ':womans_clothes:': u'👚',
    ':dress:': u'👗',
    ':running_shirt_with_sash:': u'🎽',
    ':jeans:': u'👖',
    ':kimono:': u'👘',
    ':bikini:': u'👙',
    ':briefcase:': u'💼',
    ':handbag:': u'👜',
    ':pouch:': u'👝',
    ':purse:': u'👛',
    ':eyeglasses:': u'👓',
    ':ribbon:': u'🎀',
    ':closed_umbrella:': u'🌂',
    ':lipstick:': u'💄',
    ':yellow_heart:': u'💛',
    ':blue_heart:': u'💙',
    ':purple_heart:': u'💜',
    ':green_heart:': u'💚',
    ':heart:': u'❤️',
    ':broken_heart:': u'💔',
    ':heartpulse:': u'💗',
    ':heartbeat:': u'💓',
    ':two_hearts:': u'💕',
    ':sparkling_heart:': u'💖',
    ':revolving_hearts:': u'💞',
    ':cupid:': u'💘',
    ':love_letter:': u'💌',
    ':kiss:': u'💋',
    ':ring:': u'💍',
    ':gem:': u'💎',
    ':bust_in_silhouette:': u'👤',
    ':busts_in_silhouette:': u'👥',
    ':speech_balloon:': u'💬',
    ':footprints:': u'👣',
    ':thought_balloon:': u'💭',
    ':dog:': u'🐶',
    ':wolf:': u'🐺',
    ':cat:': u'🐱',
    ':mouse:': u'🐭',
    ':hamster:': u'🐹',
    ':rabbit:': u'🐰',
    ':frog:': u'🐸',
    ':tiger:': u'🐯',
    ':koala:': u'🐨',
    ':bear:': u'🐻',
    ':pig:': u'🐷',
    ':pig_nose:': u'🐽',
    ':cow:': u'🐮',
    ':boar:': u'🐗',
    ':monkey_face:': u'🐵',
    ':monkey:': u'🐒',
    ':horse:': u'🐴',
    ':sheep:': u'🐑',
    ':elephant:': u'🐘',
    ':panda_face:': u'🐼',
    ':penguin:': u'🐧',
    ':bird:': u'🐦',
    ':baby_chick:': u'🐤',
    ':hatched_chick:': u'🐥',
    ':hatching_chick:': u'🐣',
    ':chicken:': u'🐔',
    ':snake:': u'🐍',
    ':turtle:': u'🐢',
    ':bug:': u'🐛',
    ':bee:': u'🐝',
    ':honeybee:': u'🐝',
    ':ant:': u'🐜',
    ':beetle:': u'🐞',
    ':snail:': u'🐌',
    ':octopus:': u'🐙',
    ':shell:': u'🐚',
    ':tropical_fish:': u'🐠',
    ':fish:': u'🐟',
    ':dolphin:': u'🐬',
    ':flipper:': u'🐬',
    ':whale:': u'🐳',
    ':whale2:': u'🐋',
    ':cow2:': u'🐄',
    ':ram:': u'🐏',
    ':rat:': u'🐀',
    ':water_buffalo:': u'🐃',
    ':tiger2:': u'🐅',
    ':rabbit2:': u'🐇',
    ':dragon:': u'🐉',
    ':racehorse:': u'🐎',
    ':goat:': u'🐐',
    ':rooster:': u'🐓',
    ':dog2:': u'🐕',
    ':pig2:': u'🐖',
    ':mouse2:': u'🐁',
    ':ox:': u'🐂',
    ':dragon_face:': u'🐲',
    ':blowfish:': u'🐡',
    ':crocodile:': u'🐊',
    ':camel:': u'🐫',
    ':dromedary_camel:': u'🐪',
    ':leopard:': u'🐆',
    ':cat2:': u'🐈',
    ':poodle:': u'🐩',
    ':feet:': u'🐾',
    ':paw_prints:': u'🐾',
    ':bouquet:': u'💐',
    ':cherry_blossom:': u'🌸',
    ':tulip:': u'🌷',
    ':four_leaf_clover:': u'🍀',
    ':rose:': u'🌹',
    ':sunflower:': u'🌻',
    ':hibiscus:': u'🌺',
    ':maple_leaf:': u'🍁',
    ':leaves:': u'🍃',
    ':fallen_leaf:': u'🍂',
    ':herb:': u'🌿',
    ':ear_of_rice:': u'🌾',
    ':mushroom:': u'🍄',
    ':cactus:': u'🌵',
    ':palm_tree:': u'🌴',
    ':evergreen_tree:': u'🌲',
    ':deciduous_tree:': u'🌳',
    ':chestnut:': u'🌰',
    ':seedling:': u'🌱',
    ':blossom:': u'🌼',
    ':globe_with_meridians:': u'🌐',
    ':sun_with_face:': u'🌞',
    ':full_moon_with_face:': u'🌝',
    ':new_moon_with_face:': u'🌚',
    ':new_moon:': u'🌑',
    ':waxing_crescent_moon:': u'🌒',
    ':first_quarter_moon:': u'🌓',
    ':moon:': u'🌔',
    ':waxing_gibbous_moon:': u'🌔',
    ':full_moon:': u'🌕',
    ':waning_gibbous_moon:': u'🌖',
    ':last_quarter_moon:': u'🌗',
    ':waning_crescent_moon:': u'🌘',
    ':last_quarter_moon_with_face:': u'🌜',
    ':first_quarter_moon_with_face:': u'🌛',
    ':crescent_moon:': u'🌙',
    ':earth_africa:': u'🌍',
    ':earth_americas:': u'🌎',
    ':earth_asia:': u'🌏',
    ':volcano:': u'🌋',
    ':milky_way:': u'🌌',
    ':stars:': u'🌠',
    ':star:': u'⭐',
    ':sunny:': u'☀️',
    ':partly_sunny:': u'⛅',
    ':cloud:': u'☁️',
    ':zap:': u'⚡',
    ':umbrella:': u'☔',
    ':snowflake:': u'❄️',
    ':snowman:': u'⛄',
    ':cyclone:': u'🌀',
    ':foggy:': u'🌁',
    ':rainbow:': u'🌈',
    ':ocean:': u'🌊',
    ':bamboo:': u'🎍',
    ':gift_heart:': u'💝',
    ':dolls:': u'🎎',
    ':school_satchel:': u'🎒',
    ':mortar_board:': u'🎓',
    ':flags:': u'🎏',
    ':fireworks:': u'🎆',
    ':sparkler:': u'🎇',
    ':wind_chime:': u'🎐',
    ':rice_scene:': u'🎑',
    ':jack_o_lantern:': u'🎃',
    ':ghost:': u'👻',
    ':santa:': u'🎅',
    ':christmas_tree:': u'🎄',
    ':gift:': u'🎁',
    ':tanabata_tree:': u'🎋',
    ':tada:': u'🎉',
    ':confetti_ball:': u'🎊',
    ':balloon:': u'🎈',
    ':crossed_flags:': u'🎌',
    ':crystal_ball:': u'🔮',
    ':movie_camera:': u'🎥',
    ':camera:': u'📷',
    ':video_camera:': u'📹',
    ':vhs:': u'📼',
    ':cd:': u'💿',
    ':dvd:': u'📀',
    ':minidisc:': u'💽',
    ':floppy_disk:': u'💾',
    ':computer:': u'💻',
    ':iphone:': u'📱',
    ':phone:': u'☎️',
    ':telephone:': u'☎️',
    ':telephone_receiver:': u'📞',
    ':pager:': u'📟',
    ':fax:': u'📠',
    ':satellite:': u'📡',
    ':tv:': u'📺',
    ':radio:': u'📻',
    ':loud_sound:': u'🔊',
    ':sound:': u'🔉',
    ':speaker:': u'🔈',
    ':mute:': u'🔇',
    ':bell:': u'🔔',
    ':no_bell:': u'🔕',
    ':loudspeaker:': u'📢',
    ':mega:': u'📣',
    ':hourglass_flowing_sand:': u'⏳',
    ':hourglass:': u'⌛',
    ':alarm_clock:': u'⏰',
    ':watch:': u'⌚',
    ':unlock:': u'🔓',
    ':lock:': u'🔒',
    ':lock_with_ink_pen:': u'🔏',
    ':closed_lock_with_key:': u'🔐',
    ':key:': u'🔑',
    ':mag_right:': u'🔎',
    ':bulb:': u'💡',
    ':flashlight:': u'🔦',
    ':high_brightness:': u'🔆',
    ':low_brightness:': u'🔅',
    ':electric_plug:': u'🔌',
    ':battery:': u'🔋',
    ':mag:': u'🔍',
    ':bathtub:': u'🛁',
    ':bath:': u'🛀',
    ':shower:': u'🚿',
    ':toilet:': u'🚽',
    ':wrench:': u'🔧',
    ':nut_and_bolt:': u'🔩',
    ':hammer:': u'🔨',
    ':door:': u'🚪',
    ':smoking:': u'🚬',
    ':bomb:': u'💣',
    ':gun:': u'🔫',
    ':hocho:': u'🔪',
    ':knife:': u'🔪',
    ':pill:': u'💊',
    ':syringe:': u'💉',
    ':moneybag:': u'💰',
    ':yen:': u'💴',
    ':dollar:': u'💵',
    ':pound:': u'💷',
    ':euro:': u'💶',
    ':credit_card:': u'💳',
    ':money_with_wings:': u'💸',
    ':calling:': u'📲',
    ':e-mail:': u'📧',
    ':inbox_tray:': u'📥',
    ':outbox_tray:': u'📤',
    ':email:': u'✉️',
    ':envelope:': u'✉️',
    ':envelope_with_arrow:': u'📩',
    ':incoming_envelope:': u'📨',
    ':postal_horn:': u'📯',
    ':mailbox:': u'📫',
    ':mailbox_closed:': u'📪',
    ':mailbox_with_mail:': u'📬',
    ':mailbox_with_no_mail:': u'📭',
    ':postbox:': u'📮',
    ':package:': u'📦',
    ':memo:': u'📝',
    ':pencil:': u'📝',
    ':page_facing_up:': u'📄',
    ':page_with_curl:': u'📃',
    ':bookmark_tabs:': u'📑',
    ':bar_chart:': u'📊',
    ':chart_with_upwards_trend:': u'📈',
    ':chart_with_downwards_trend:': u'📉',
    ':scroll:': u'📜',
    ':clipboard:': u'📋',
    ':date:': u'📅',
    ':calendar:': u'📆',
    ':card_index:': u'📇',
    ':file_folder:': u'📁',
    ':open_file_folder:': u'📂',
    ':scissors:': u'✂️',
    ':pushpin:': u'📌',
    ':paperclip:': u'📎',
    ':black_nib:': u'✒️',
    ':pencil2:': u'✏️',
    ':straight_ruler:': u'📏',
    ':triangular_ruler:': u'📐',
    ':closed_book:': u'📕',
    ':green_book:': u'📗',
    ':blue_book:': u'📘',
    ':orange_book:': u'📙',
    ':notebook:': u'📓',
    ':notebook_with_decorative_cover:': u'📔',
    ':ledger:': u'📒',
    ':books:': u'📚',
    ':book:': u'📖',
    ':open_book:': u'📖',
    ':bookmark:': u'🔖',
    ':name_badge:': u'📛',
    ':microscope:': u'🔬',
    ':telescope:': u'🔭',
    ':newspaper:': u'📰',
    ':art:': u'🎨',
    ':clapper:': u'🎬',
    ':microphone:': u'🎤',
    ':headphones:': u'🎧',
    ':musical_score:': u'🎼',
    ':musical_note:': u'🎵',
    ':notes:': u'🎶',
    ':musical_keyboard:': u'🎹',
    ':violin:': u'🎻',
    ':trumpet:': u'🎺',
    ':saxophone:': u'🎷',
    ':guitar:': u'🎸',
    ':space_invader:': u'👾',
    ':video_game:': u'🎮',
    ':black_joker:': u'🃏',
    ':flower_playing_cards:': u'🎴',
    ':mahjong:': u'🀄',
    ':game_die:': u'🎲',
    ':dart:': u'🎯',
    ':football:': u'🏈',
    ':basketball:': u'🏀',
    ':soccer:': u'⚽',
    ':baseball:': u'⚾️',
    ':tennis:': u'🎾',
    ':8ball:': u'🎱',
    ':rugby_football:': u'🏉',
    ':bowling:': u'🎳',
    ':golf:': u'⛳',
    ':mountain_bicyclist:': u'🚵',
    ':bicyclist:': u'🚴',
    ':checkered_flag:': u'🏁',
    ':horse_racing:': u'🏇',
    ':trophy:': u'🏆',
    ':ski:': u'🎿',
    ':snowboarder:': u'🏂',
    ':swimmer:': u'🏊',
    ':surfer:': u'🏄',
    ':fishing_pole_and_fish:': u'🎣',
    ':coffee:': u'☕',
    ':tea:': u'🍵',
    ':sake:': u'🍶',
    ':baby_bottle:': u'🍼',
    ':beer:': u'🍺',
    ':beers:': u'🍻',
    ':cocktail:': u'🍸',
    ':tropical_drink:': u'🍹',
    ':wine_glass:': u'🍷',
    ':fork_and_knife:': u'🍴',
    ':pizza:': u'🍕',
    ':hamburger:': u'🍔',
    ':fries:': u'🍟',
    ':poultry_leg:': u'🍗',
    ':meat_on_bone:': u'🍖',
    ':spaghetti:': u'🍝',
    ':curry:': u'🍛',
    ':fried_shrimp:': u'🍤',
    ':bento:': u'🍱',
    ':sushi:': u'🍣',
    ':fish_cake:': u'🍥',
    ':rice_ball:': u'🍙',
    ':rice_cracker:': u'🍘',
    ':rice:': u'🍚',
    ':ramen:': u'🍜',
    ':stew:': u'🍲',
    ':oden:': u'🍢',
    ':dango:': u'🍡',
    ':egg:': u'🍳',
    ':bread:': u'🍞',
    ':doughnut:': u'🍩',
    ':custard:': u'🍮',
    ':icecream:': u'🍦',
    ':ice_cream:': u'🍨',
    ':shaved_ice:': u'🍧',
    ':birthday:': u'🎂',
    ':cake:': u'🍰',
    ':cookie:': u'🍪',
    ':chocolate_bar:': u'🍫',
    ':candy:': u'🍬',
    ':lollipop:': u'🍭',
    ':honey_pot:': u'🍯',
    ':apple:': u'🍎',
    ':green_apple:': u'🍏',
    ':tangerine:': u'🍊',
    ':lemon:': u'🍋',
    ':cherries:': u'🍒',
    ':grapes:': u'🍇',
    ':watermelon:': u'🍉',
    ':strawberry:': u'🍓',
    ':peach:': u'🍑',
    ':melon:': u'🍈',
    ':banana:': u'🍌',
    ':pear:': u'🍐',
    ':pineapple:': u'🍍',
    ':sweet_potato:': u'🍠',
    ':eggplant:': u'🍆',
    ':tomato:': u'🍅',
    ':corn:': u'🌽',
    ':house:': u'🏠',
    ':house_with_garden:': u'🏡',
    ':school:': u'🏫',
    ':office:': u'🏢',
    ':post_office:': u'🏣',
    ':hospital:': u'🏥',
    ':bank:': u'🏦',
    ':convenience_store:': u'🏪',
    ':love_hotel:': u'🏩',
    ':hotel:': u'🏨',
    ':wedding:': u'💒',
    ':church:': u'⛪',
    ':department_store:': u'🏬',
    ':european_post_office:': u'🏤',
    ':city_sunrise:': u'🌇',
    ':city_sunset:': u'🌆',
    ':japanese_castle:': u'🏯',
    ':european_castle:': u'🏰',
    ':tent:': u'⛺',
    ':factory:': u'🏭',
    ':tokyo_tower:': u'🗼',
    ':japan:': u'🗾',
    ':mount_fuji:': u'🗻',
    ':sunrise_over_mountains:': u'🌄',
    ':sunrise:': u'🌅',
    ':night_with_stars:': u'🌃',
    ':statue_of_liberty:': u'🗽',
    ':bridge_at_night:': u'🌉',
    ':carousel_horse:': u'🎠',
    ':ferris_wheel:': u'🎡',
    ':fountain:': u'⛲',
    ':roller_coaster:': u'🎢',
    ':ship:': u'🚢',
    ':boat:': u'⛵',
    ':sailboat:': u'⛵',
    ':speedboat:': u'🚤',
    ':rowboat:': u'🚣',
    ':anchor:': u'⚓',
    ':rocket:': u'🚀',
    ':airplane:': u'✈️',
    ':seat:': u'💺',
    ':helicopter:': u'🚁',
    ':steam_locomotive:': u'🚂',
    ':tram:': u'🚊',
    ':station:': u'🚉',
    ':mountain_railway:': u'🚞',
    ':train2:': u'🚆',
    ':bullettrain_side:': u'🚄',
    ':bullettrain_front:': u'🚅',
    ':light_rail:': u'🚈',
    ':metro:': u'🚇',
    ':monorail:': u'🚝',
    ':train:': u'🚋',
    ':railway_car:': u'🚃',
    ':trolleybus:': u'🚎',
    ':bus:': u'🚌',
    ':oncoming_bus:': u'🚍',
    ':blue_car:': u'🚙',
    ':oncoming_automobile:': u'🚘',
    ':car:': u'🚗',
    ':red_car:': u'🚗',
    ':taxi:': u'🚕',
    ':oncoming_taxi:': u'🚖',
    ':articulated_lorry:': u'🚛',
    ':truck:': u'🚚',
    ':rotating_light:': u'🚨',
    ':police_car:': u'🚓',
    ':oncoming_police_car:': u'🚔',
    ':fire_engine:': u'🚒',
    ':ambulance:': u'🚑',
    ':minibus:': u'🚐',
    ':bike:': u'🚲',
    ':aerial_tramway:': u'🚡',
    ':suspension_railway:': u'🚟',
    ':mountain_cableway:': u'🚠',
    ':tractor:': u'🚜',
    ':barber:': u'💈',
    ':busstop:': u'🚏',
    ':ticket:': u'🎫',
    ':vertical_traffic_light:': u'🚦',
    ':traffic_light:': u'🚥',
    ':warning:': u'⚠️',
    ':construction:': u'🚧',
    ':beginner:': u'🔰',
    ':fuelpump:': u'⛽',
    ':izakaya_lantern:': u'🏮',
    ':lantern:': u'🏮',
    ':slot_machine:': u'🎰',
    ':hotsprings:': u'♨️',
    ':moyai:': u'🗿',
    ':circus_tent:': u'🎪',
    ':performing_arts:': u'🎭',
    ':round_pushpin:': u'📍',
    ':triangular_flag_on_post:': u'🚩',
    ':jp:': u'🇯🇵',
    ':kr:': u'🇰🇷',
    ':de:': u'🇩🇪',
    ':cn:': u'🇨🇳',
    ':us:': u'🇺🇸',
    ':fr:': u'🇫🇷',
    ':es:': u'🇪🇸',
    ':it:': u'🇮🇹',
    ':ru:': u'🇷🇺',
    ':gb:': u'🇬🇧',
    ':uk:': u'🇬🇧',
    ':one:': u'1️⃣',
    ':two:': u'2️⃣',
    ':three:': u'3️⃣',
    ':four:': u'4️⃣',
    ':five:': u'5️⃣',
    ':six:': u'6️⃣',
    ':seven:': u'7️⃣',
    ':eight:': u'8️⃣',
    ':nine:': u'9️⃣',
    ':zero:': u'0️⃣',
    ':keycap_ten:': u'🔟',
    ':1234:': u'🔢',
    ':hash:': u'#️⃣',
    ':symbols:': u'🔣',
    ':arrow_up:': u'⬆️',
    ':arrow_down:': u'⬇️',
    ':arrow_left:': u'⬅️',
    ':arrow_right:': u'➡️',
    ':capital_abcd:': u'🔠',
    ':abcd:': u'🔡',
    ':abc:': u'🔤',
    ':arrow_upper_right:': u'↗️',
    ':arrow_upper_left:': u'↖️',
    ':arrow_lower_right:': u'↘️',
    ':arrow_lower_left:': u'↙️',
    ':left_right_arrow:': u'↔️',
    ':arrow_up_down:': u'↕️',
    ':arrows_counterclockwise:': u'🔄',
    ':arrow_backward:': u'◀️',
    ':arrow_forward:': u'▶️',
    ':arrow_up_small:': u'🔼',
    ':arrow_down_small:': u'🔽',
    ':leftwards_arrow_with_hook:': u'↩️',
    ':arrow_right_hook:': u'↪️',
    ':information_source:': u'ℹ️',
    ':rewind:': u'⏪',
    ':fast_forward:': u'⏩',
    ':arrow_double_up:': u'⏫',
    ':arrow_double_down:': u'⏬',
    ':arrow_heading_down:': u'⤵️',
    ':arrow_heading_up:': u'⤴️',
    ':ok:': u'🆗',
    ':twisted_rightwards_arrows:': u'🔀',
    ':repeat:': u'🔁',
    ':repeat_one:': u'🔂',
    ':new:': u'🆕',
    ':up:': u'🆙',
    ':cool:': u'🆒',
    ':free:': u'🆓',
    ':ng:': u'🆖',
    ':signal_strength:': u'📶',
    ':cinema:': u'🎦',
    ':koko:': u'🈁',
    ':u6307:': u'🈯',
    ':u7a7a:': u'🈳',
    ':u6e80:': u'🈵',
    ':u5408:': u'🈴',
    ':u7981:': u'🈲',
    ':ideograph_advantage:': u'🉐',
    ':u5272:': u'🈹',
    ':u55b6:': u'🈺',
    ':u6709:': u'🈶',
    ':u7121:': u'🈚',
    ':restroom:': u'🚻',
    ':mens:': u'🚹',
    ':womens:': u'🚺',
    ':baby_symbol:': u'🚼',
    ':wc:': u'🚾',
    ':potable_water:': u'🚰',
    ':put_litter_in_its_place:': u'🚮',
    ':parking:': u'🅿️',
    ':wheelchair:': u'♿',
    ':no_smoking:': u'🚭',
    ':u6708:': u'🈷️',
    ':u7533:': u'🈸',
    ':sa:': u'🈂️',
    ':m:': u'Ⓜ️',
    ':passport_control:': u'🛂',
    ':baggage_claim:': u'🛄',
    ':left_luggage:': u'🛅',
    ':customs:': u'🛃',
    ':accept:': u'🉑',
    ':secret:': u'㊙️',
    ':congratulations:': u'㊗️',
    ':cl:': u'🆑',
    ':sos:': u'🆘',
    ':id:': u'🆔',
    ':no_entry_sign:': u'🚫',
    ':underage:': u'🔞',
    ':no_mobile_phones:': u'📵',
    ':do_not_litter:': u'🚯',
    ':non-potable_water:': u'🚱',
    ':no_bicycles:': u'🚳',
    ':no_pedestrians:': u'🚷',
    ':children_crossing:': u'🚸',
    ':no_entry:': u'⛔',
    ':eight_spoked_asterisk:': u'✳️',
    ':sparkle:': u'❇️',
    ':negative_squared_cross_mark:': u'❎',
    ':white_check_mark:': u'✅',
    ':eight_pointed_black_star:': u'✴️',
    ':heart_decoration:': u'💟',
    ':vs:': u'🆚',
    ':vibration_mode:': u'📳',
    ':mobile_phone_off:': u'📴',
    ':a:': u'🅰️',
    ':b:': u'🅱️',
    ':ab:': u'🆎',
    ':o2:': u'🅾️',
    ':diamond_shape_with_a_dot_inside:': u'💠',
    ':loop:': u'➿',
    ':recycle:': u'♻️',
    ':aries:': u'♈',
    ':taurus:': u'♉',
    ':gemini:': u'♊',
    ':cancer:': u'♋',
    ':leo:': u'♌',
    ':virgo:': u'♍',
    ':libra:': u'♎',
    ':scorpius:': u'♏',
    ':sagittarius:': u'♐',
    ':capricorn:': u'♑',
    ':aquarius:': u'♒',
    ':pisces:': u'♓',
    ':ophiuchus:': u'⛎',
    ':six_pointed_star:': u'🔯',
    ':atm:': u'🏧',
    ':chart:': u'💹',
    ':heavy_dollar_sign:': u'💲',
    ':currency_exchange:': u'💱',
    ':copyright:': u'©️',
    ':registered:': u'®️',
    ':tm:': u'™️',
    ':x:': u'❌',
    ':bangbang:': u'‼️',
    ':interrobang:': u'⁉️',
    ':exclamation:': u'❗',
    ':heavy_exclamation_mark:': u'❗',
    ':question:': u'❓',
    ':grey_exclamation:': u'❕',
    ':grey_question:': u'❔',
    ':o:': u'⭕',
    ':top:': u'🔝',
    ':end:': u'🔚',
    ':back:': u'🔙',
    ':on:': u'🔛',
    ':soon:': u'🔜',
    ':arrows_clockwise:': u'🔃',
    ':clock12:': u'🕛',
    ':clock1230:': u'🕧',
    ':clock1:': u'🕐',
    ':clock130:': u'🕜',
    ':clock2:': u'🕑',
    ':clock230:': u'🕝',
    ':clock3:': u'🕒',
    ':clock330:': u'🕞',
    ':clock4:': u'🕓',
    ':clock430:': u'🕟',
    ':clock5:': u'🕔',
    ':clock530:': u'🕠',
    ':clock6:': u'🕕',
    ':clock7:': u'🕖',
    ':clock8:': u'🕗',
    ':clock9:': u'🕘',
    ':clock10:': u'🕙',
    ':clock11:': u'🕚',
    ':clock630:': u'🕡',
    ':clock730:': u'🕢',
    ':clock830:': u'🕣',
    ':clock930:': u'🕤',
    ':clock1030:': u'🕥',
    ':clock1130:': u'🕦',
    ':heavy_multiplication_x:': u'✖️',
    ':heavy_plus_sign:': u'➕',
    ':heavy_minus_sign:': u'➖',
    ':heavy_division_sign:': u'➗',
    ':spades:': u'♠️',
    ':hearts:': u'♥️',
    ':clubs:': u'♣️',
    ':diamonds:': u'♦️',
    ':white_flower:': u'💮',
    ':100:': u'💯',
    ':heavy_check_mark:': u'✔️',
    ':ballot_box_with_check:': u'☑️',
    ':radio_button:': u'🔘',
    ':link:': u'🔗',
    ':curly_loop:': u'➰',
    ':wavy_dash:': u'〰️',
    ':part_alternation_mark:': u'〽️',
    ':trident:': u'🔱',
    ':black_medium_square:': u'◼️',
    ':white_medium_square:': u'◻️',
    ':black_medium_small_square:': u'◾',
    ':white_medium_small_square:': u'◽',
    ':black_small_square:': u'▪️',
    ':white_small_square:': u'▫️',
    ':small_red_triangle:': u'🔺',
    ':black_square_button:': u'🔲',
    ':white_square_button:': u'🔳',
    ':black_circle:': u'⚫',
    ':white_circle:': u'⚪',
    ':red_circle:': u'🔴',
    ':large_blue_circle:': u'🔵',
    ':small_red_triangle_down:': u'🔻',
    ':white_large_square:': u'⬜',
    ':black_large_square:': u'⬛',
    ':large_orange_diamond:': u'🔶',
    ':large_blue_diamond:': u'🔷',
    ':small_orange_diamond:': u'🔸',
    ':small_blue_diamond:': u'🔹',
}
